/*
 *  Copyright (C) 2012 Thomas Luka, 18 rue des feuilles mortes, 95 Vaureal
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FEN_H
#define FEN_H
#include "HelpWindow.h"
//#include "giac.h"

class MainWindow : public QMainWindow
{

  Q_OBJECT

  public:

  MainWindow(QWidget *parent = 0);
  void save_items();

  public slots:

  void Evaluate();
  void ShowHelp();
  void writeExemple(QString ex);
  void addStrFromHist(QString str);
  void focusToLine();
  void cursor_to_left();
  void cursor_to_right();
  void about_widget();

  private:

  QVBoxLayout *m_Layout;
  QLineEdit *m_Commande;
  QAction *m_Aide;
  History *m_HistCmd;
  std::vector <aide> m_Help;
  int m_IntHelp;
};

#endif //FEN_H
