#include "evalthread.h"

EvalThread::EvalThread(gen & g, context * contextptr, QObject *parent) :
    QThread(parent), m_g(g), m_contextptr(contextptr)
{
    QThread::setTerminationEnabled();
}
void EvalThread::run()
{
    try {
      m_g = eval(m_g,1,m_contextptr);//on evalue l'expression
      emit calcul_finished();
    }
    catch (std::runtime_error & err){
      emit error(QString::fromStdString(err.what()));
    }

}
gen EvalThread::getGen()
{
    return m_g;
}
